diff --git a/fc-solve/source/pseudo_dfs_cache.h b/fc-solve/source/pseudo_dfs_cache.h
index a78d0c7e3..f519adc79 100644
--- a/fc-solve/source/pseudo_dfs_cache.h
+++ b/fc-solve/source/pseudo_dfs_cache.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <Judy.h>
@@ -24,140 +25,141 @@ extern "C" {
 #include "delta_states.h"
 #include "dbm_calc_derived_iface.h"
 
-typedef fcs_encoded_state_buffer_t fcs_pdfs_key_t;
+    typedef fcs_encoded_state_buffer_t fcs_pdfs_key_t;
 
-typedef struct fcs_pdfs_key_info_struct
-{
-    fcs_pdfs_key_t key;
-    /* lower_pri and higher_pri form a doubly linked list.
-     *
-     * pri == priority.
-     * */
-    struct fcs_pdfs_key_info_struct *lower_pri, *higher_pri;
-} fcs_pdfs_cache_key_info_t;
-
-typedef struct
-{
-    Pvoid_t states_values_to_keys_map;
-    fcs_compact_allocator_t states_values_to_keys_allocator;
-    long count_elements_in_cache, max_num_elements_in_cache;
-    fcs_pdfs_cache_key_info_t *lowest_pri, *highest_pri;
+    typedef struct fcs_pdfs_key_info_struct
+    {
+        fcs_pdfs_key_t key;
+        /* lower_pri and higher_pri form a doubly linked list.
+         *
+         * pri == priority.
+         * */
+        struct fcs_pdfs_key_info_struct *lower_pri, *higher_pri;
+    } fcs_pdfs_cache_key_info_t;
+
+    typedef struct
+    {
+        Pvoid_t states_values_to_keys_map;
+        fcs_compact_allocator_t states_values_to_keys_allocator;
+        long count_elements_in_cache, max_num_elements_in_cache;
+        fcs_pdfs_cache_key_info_t *lowest_pri, *highest_pri;
 #define RECYCLE_BIN_NEXT(item) ((item)->higher_pri)
-    fcs_pdfs_cache_key_info_t *recycle_bin;
-} fcs_pseudo_dfs_lru_cache_t;
-
-static inline void fcs_pdfs_cache_destroy(
-    fcs_pseudo_dfs_lru_cache_t *const cache)
-{
-    Word_t rc_word;
-    JHSFA(rc_word, cache->states_values_to_keys_map);
-    fc_solve_compact_allocator_finish(
-        &(cache->states_values_to_keys_allocator));
-}
-
-static inline void fcs_pdfs_cache_init(fcs_pseudo_dfs_lru_cache_t *const cache,
-    const long max_num_elements_in_cache,
-    fcs_meta_compact_allocator_t *const meta_alloc)
-{
-    cache->states_values_to_keys_map = ((Pvoid_t)NULL);
-
-    fc_solve_compact_allocator_init(
-        &(cache->states_values_to_keys_allocator), meta_alloc);
-    cache->lowest_pri = NULL;
-    cache->highest_pri = NULL;
-    cache->recycle_bin = NULL;
-    cache->count_elements_in_cache = 0;
-    cache->max_num_elements_in_cache = max_num_elements_in_cache;
-}
-
-static inline fcs_bool_t fcs_pdfs_cache_does_key_exist(
-    fcs_pseudo_dfs_lru_cache_t *const cache, fcs_pdfs_key_t *const key)
-{
-    fcs_pdfs_cache_key_info_t *existing;
+        fcs_pdfs_cache_key_info_t *recycle_bin;
+    } fcs_pseudo_dfs_lru_cache_t;
 
-    Word_t *PValue;
-    JHSG(PValue, cache->states_values_to_keys_map, key, sizeof(*key));
-    if (!PValue)
-    {
-        existing = NULL;
-    }
-    else
+    static inline void fcs_pdfs_cache_destroy(
+        fcs_pseudo_dfs_lru_cache_t *const cache)
     {
-        existing = (typeof(existing))(*PValue);
+        Word_t rc_word;
+        JHSFA(rc_word, cache->states_values_to_keys_map);
+        fc_solve_compact_allocator_finish(
+            &(cache->states_values_to_keys_allocator));
     }
 
-    if (!existing)
+    static inline void fcs_pdfs_cache_init(
+        fcs_pseudo_dfs_lru_cache_t *const cache,
+        const long max_num_elements_in_cache,
+        fcs_meta_compact_allocator_t *const meta_alloc)
     {
-        return FALSE;
+        cache->states_values_to_keys_map = ((Pvoid_t)NULL);
+
+        fc_solve_compact_allocator_init(
+            &(cache->states_values_to_keys_allocator), meta_alloc);
+        cache->lowest_pri = NULL;
+        cache->highest_pri = NULL;
+        cache->recycle_bin = NULL;
+        cache->count_elements_in_cache = 0;
+        cache->max_num_elements_in_cache = max_num_elements_in_cache;
     }
-    else
+
+    static inline fcs_bool_t fcs_pdfs_cache_does_key_exist(
+        fcs_pseudo_dfs_lru_cache_t *const cache, fcs_pdfs_key_t *const key)
     {
-        /* First - promote this key to the top of the cache. */
-        if (existing->higher_pri)
+        fcs_pdfs_cache_key_info_t *existing;
+
+        Word_t *PValue;
+        JHSG(PValue, cache->states_values_to_keys_map, key, sizeof(*key));
+        if (!PValue)
         {
-            existing->higher_pri->lower_pri = existing->lower_pri;
-            if (existing->lower_pri)
-            {
-                existing->lower_pri->higher_pri = existing->higher_pri;
-            }
-            else
+            existing = NULL;
+        }
+        else
+        {
+            existing = (typeof(existing))(*PValue);
+        }
+
+        if (!existing)
+        {
+            return FALSE;
+        }
+        else
+        {
+            /* First - promote this key to the top of the cache. */
+            if (existing->higher_pri)
             {
-                cache->lowest_pri = existing->higher_pri;
-                /* Bug fix: keep the chain intact. */
-                existing->higher_pri->lower_pri = NULL;
+                existing->higher_pri->lower_pri = existing->lower_pri;
+                if (existing->lower_pri)
+                {
+                    existing->lower_pri->higher_pri = existing->higher_pri;
+                }
+                else
+                {
+                    cache->lowest_pri = existing->higher_pri;
+                    /* Bug fix: keep the chain intact. */
+                    existing->higher_pri->lower_pri = NULL;
+                }
+                cache->highest_pri->higher_pri = existing;
+                existing->lower_pri = cache->highest_pri;
+                cache->highest_pri = existing;
+                existing->higher_pri = NULL;
             }
-            cache->highest_pri->higher_pri = existing;
-            existing->lower_pri = cache->highest_pri;
-            cache->highest_pri = existing;
-            existing->higher_pri = NULL;
-        }
 
-        return TRUE;
+            return TRUE;
+        }
     }
-}
 
-static inline fcs_pdfs_cache_key_info_t *fcs_pdfs_cache_insert(
-    fcs_pseudo_dfs_lru_cache_t *const cache, fcs_pdfs_key_t *const key)
-{
-    fcs_pdfs_cache_key_info_t *cache_key;
-    if (cache->count_elements_in_cache >= cache->max_num_elements_in_cache)
+    static inline fcs_pdfs_cache_key_info_t *fcs_pdfs_cache_insert(
+        fcs_pseudo_dfs_lru_cache_t *const cache, fcs_pdfs_key_t *const key)
     {
-        cache_key = cache->lowest_pri;
-        int rc_int;
-        JHSD(rc_int, cache->states_values_to_keys_map, &(cache_key->key),
-            sizeof(cache_key->key));
+        fcs_pdfs_cache_key_info_t *cache_key;
+        if (cache->count_elements_in_cache >= cache->max_num_elements_in_cache)
+        {
+            cache_key = cache->lowest_pri;
+            int rc_int;
+            JHSD(rc_int, cache->states_values_to_keys_map, &(cache_key->key),
+                sizeof(cache_key->key));
 
-        cache->lowest_pri = cache->lowest_pri->higher_pri;
-        cache->lowest_pri->lower_pri = NULL;
-    }
-    else
-    {
-        cache_key = (fcs_pdfs_cache_key_info_t *)fcs_compact_alloc_ptr(
-            &(cache->states_values_to_keys_allocator), sizeof(*cache_key));
-        ++cache->count_elements_in_cache;
-    }
+            cache->lowest_pri = cache->lowest_pri->higher_pri;
+            cache->lowest_pri->lower_pri = NULL;
+        }
+        else
+        {
+            cache_key = (fcs_pdfs_cache_key_info_t *)fcs_compact_alloc_ptr(
+                &(cache->states_values_to_keys_allocator), sizeof(*cache_key));
+            ++cache->count_elements_in_cache;
+        }
 
-    cache_key->key = *key;
+        cache_key->key = *key;
 
-    if (cache->highest_pri)
-    {
-        cache_key->lower_pri = cache->highest_pri;
-        cache_key->higher_pri = NULL;
-        cache->highest_pri->higher_pri = cache_key;
-        cache->highest_pri = cache_key;
-    }
-    else
-    {
-        cache->highest_pri = cache->lowest_pri = cache_key;
-        cache_key->higher_pri = cache_key->lower_pri = NULL;
-    }
+        if (cache->highest_pri)
+        {
+            cache_key->lower_pri = cache->highest_pri;
+            cache_key->higher_pri = NULL;
+            cache->highest_pri->higher_pri = cache_key;
+            cache->highest_pri = cache_key;
+        }
+        else
+        {
+            cache->highest_pri = cache->lowest_pri = cache_key;
+            cache_key->higher_pri = cache_key->lower_pri = NULL;
+        }
 
-    Word_t *PValue;
-    JHSI(PValue, cache->states_values_to_keys_map, key, sizeof(*key));
-    *PValue = ((Word_t)cache_key);
+        Word_t *PValue;
+        JHSI(PValue, cache->states_values_to_keys_map, key, sizeof(*key));
+        *PValue = ((Word_t)cache_key);
 
-    return cache_key;
-}
+        return cache_key;
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/rand.h b/fc-solve/source/rand.h
index 84166d047..dbc98c288 100644
--- a/fc-solve/source/rand.h
+++ b/fc-solve/source/rand.h
@@ -13,35 +13,37 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
 
-typedef long fcs_rand_t;
+    typedef long fcs_rand_t;
 
-static inline void fc_solve_rand_init(
-    fcs_rand_t *const my_rand, const unsigned int seed)
-{
-    *my_rand = (long)seed;
-}
+    static inline void fc_solve_rand_init(
+        fcs_rand_t *const my_rand, const unsigned int seed)
+    {
+        *my_rand = (long)seed;
+    }
 
-static inline int fc_solve_rand_rand15(fcs_rand_t *const my_rand)
-{
-    return ((((*my_rand) = ((*my_rand) * 214013 + 2531011)) >> 16) & 0x7fff);
-}
+    static inline int fc_solve_rand_rand15(fcs_rand_t *const my_rand)
+    {
+        return (
+            (((*my_rand) = ((*my_rand) * 214013 + 2531011)) >> 16) & 0x7fff);
+    }
 
-/*
- *
- * This function constructs a larger integral number of out of two
- * 15-bit ones.
- *
- * */
-static inline int fc_solve_rand_get_random_number(fcs_rand_t *const my_rand)
-{
-    const int first = fc_solve_rand_rand15(my_rand);
-    return (first | (fc_solve_rand_rand15(my_rand) << 15));
-}
+    /*
+     *
+     * This function constructs a larger integral number of out of two
+     * 15-bit ones.
+     *
+     * */
+    static inline int fc_solve_rand_get_random_number(fcs_rand_t *const my_rand)
+    {
+        const int first = fc_solve_rand_rand15(my_rand);
+        return (first | (fc_solve_rand_rand15(my_rand) << 15));
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/range_solvers_binary_output.h b/fc-solve/source/range_solvers_binary_output.h
index 3382ae049..584ba77b7 100644
--- a/fc-solve/source/range_solvers_binary_output.h
+++ b/fc-solve/source/range_solvers_binary_output.h
@@ -14,146 +14,148 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
 #include "fcs_cl.h"
 
-typedef struct
-{
-    FILE *fh;
-    char *buffer;
-    char *buffer_end;
-    char *ptr;
-    const char *filename;
-} binary_output_t;
+    typedef struct
+    {
+        FILE *fh;
+        char *buffer;
+        char *buffer_end;
+        char *ptr;
+        const char *filename;
+    } binary_output_t;
 
-static const binary_output_t INIT_BINARY_OUTPUT = {.filename = NULL};
+    static const binary_output_t INIT_BINARY_OUTPUT = {.filename = NULL};
 
 #define BINARY_OUTPUT_BUF_SIZE (sizeof(int) * 16)
 #define SIZE_INT 4
 
-static inline void write_me(binary_output_t *const bin)
-{
-    fwrite(bin->buffer, 1, (size_t)(bin->ptr - bin->buffer), bin->fh);
-    fflush(bin->fh);
-}
-
-static void print_int(binary_output_t *const bin, int val)
-{
-    if (!bin->fh)
+    static inline void write_me(binary_output_t *const bin)
     {
-        return;
+        fwrite(bin->buffer, 1, (size_t)(bin->ptr - bin->buffer), bin->fh);
+        fflush(bin->fh);
     }
-    unsigned char *const buffer = (unsigned char *const)bin->ptr;
-    for (int p = 0; p < SIZE_INT; p++)
-    {
-        buffer[p] = (unsigned char)(val & 0xFF);
-        val >>= 8;
-    }
-    bin->ptr += SIZE_INT;
-    if (bin->ptr == bin->buffer_end)
-    {
-        write_me(bin);
-        /* Reset ptr to the beginning */
-        bin->ptr = bin->buffer;
-    }
-}
 
-static inline void bin_close(binary_output_t *const bin)
-{
-    if (bin->filename)
+    static void print_int(binary_output_t *const bin, int val)
     {
-        write_me(bin);
-        fclose(bin->fh);
-        bin->fh = NULL;
-        bin->filename = NULL;
+        if (!bin->fh)
+        {
+            return;
+        }
+        unsigned char *const buffer = (unsigned char *const)bin->ptr;
+        for (int p = 0; p < SIZE_INT; p++)
+        {
+            buffer[p] = (unsigned char)(val & 0xFF);
+            val >>= 8;
+        }
+        bin->ptr += SIZE_INT;
+        if (bin->ptr == bin->buffer_end)
+        {
+            write_me(bin);
+            /* Reset ptr to the beginning */
+            bin->ptr = bin->buffer;
+        }
     }
-}
 
-static inline fcs_bool_t read_int(FILE *const f, long long *const dest)
-{
-    unsigned char buffer[SIZE_INT];
-    if (fread(buffer, 1, SIZE_INT, f) != SIZE_INT)
+    static inline void bin_close(binary_output_t *const bin)
     {
-        return TRUE;
+        if (bin->filename)
+        {
+            write_me(bin);
+            fclose(bin->fh);
+            bin->fh = NULL;
+            bin->filename = NULL;
+        }
     }
-    *dest = (buffer[0] +
-             ((buffer[1] + ((buffer[2] + ((buffer[3]) << 8)) << 8)) << 8));
-
-    return FALSE;
-}
 
-static void read_int_wrapper(FILE *const in, long long *const var)
-{
-    if (read_int(in, var))
+    static inline fcs_bool_t read_int(FILE *const f, long long *const dest)
     {
-        fc_solve_err(
-            "%s", "Output file is too short to deduce the configuration!\n");
+        unsigned char buffer[SIZE_INT];
+        if (fread(buffer, 1, SIZE_INT, f) != SIZE_INT)
+        {
+            return TRUE;
+        }
+        *dest = (buffer[0] +
+                 ((buffer[1] + ((buffer[2] + ((buffer[3]) << 8)) << 8)) << 8));
+
+        return FALSE;
     }
-}
 
-static inline void bin_init(binary_output_t *const bin,
-    long long *const start_board_ptr, long long *const end_board_ptr,
-    fcs_int_limit_t *const total_iterations_limit_per_board_ptr)
-{
-    if (bin->filename)
+    static void read_int_wrapper(FILE *const in, long long *const var)
     {
-        bin->buffer = malloc(BINARY_OUTPUT_BUF_SIZE);
-        bin->ptr = bin->buffer;
-        bin->buffer_end = bin->buffer + BINARY_OUTPUT_BUF_SIZE;
-
-        FILE *const in = fopen(bin->filename, "rb");
-        if (!in)
+        if (read_int(in, var))
         {
-            if (!(bin->fh = fopen(bin->filename, "wb")))
-            {
-                fc_solve_err(
-                    "Could not open \"%s\" for writing!\n", bin->filename);
-            }
-
-            print_int(bin, *start_board_ptr);
-            print_int(bin, *end_board_ptr);
-            print_int(bin, (int)(*total_iterations_limit_per_board_ptr));
+            fc_solve_err("%s",
+                "Output file is too short to deduce the configuration!\n");
         }
-        else
+    }
+
+    static inline void bin_init(binary_output_t *const bin,
+        long long *const start_board_ptr, long long *const end_board_ptr,
+        fcs_int_limit_t *const total_iterations_limit_per_board_ptr)
+    {
+        if (bin->filename)
         {
-            read_int_wrapper(in, start_board_ptr);
-            read_int_wrapper(in, end_board_ptr);
-            {
-                long long val;
-                read_int_wrapper(in, &val);
-                *total_iterations_limit_per_board_ptr = (fcs_int_limit_t)val;
-            }
+            bin->buffer = malloc(BINARY_OUTPUT_BUF_SIZE);
+            bin->ptr = bin->buffer;
+            bin->buffer_end = bin->buffer + BINARY_OUTPUT_BUF_SIZE;
 
-            fseek(in, 0, SEEK_END);
-            const long file_len = ftell(in);
-            if (file_len % 4 != 0)
-            {
-                fc_solve_err(
-                    "%s", "Output file has an invalid length. Terminating.\n");
-            }
-            *start_board_ptr += (file_len - 12) / 4;
-            if (*start_board_ptr >= *end_board_ptr)
+            FILE *const in = fopen(bin->filename, "rb");
+            if (!in)
             {
-                fc_solve_err("%s",
-                    "Output file was already finished being generated.\n");
+                if (!(bin->fh = fopen(bin->filename, "wb")))
+                {
+                    fc_solve_err(
+                        "Could not open \"%s\" for writing!\n", bin->filename);
+                }
+
+                print_int(bin, *start_board_ptr);
+                print_int(bin, *end_board_ptr);
+                print_int(bin, (int)(*total_iterations_limit_per_board_ptr));
             }
-            fclose(in);
-            if (!(bin->fh = fopen(bin->filename, "ab")))
+            else
             {
-                fc_solve_err(
-                    "Could not open \"%s\" for writing!\n", bin->filename);
+                read_int_wrapper(in, start_board_ptr);
+                read_int_wrapper(in, end_board_ptr);
+                {
+                    long long val;
+                    read_int_wrapper(in, &val);
+                    *total_iterations_limit_per_board_ptr =
+                        (fcs_int_limit_t)val;
+                }
+
+                fseek(in, 0, SEEK_END);
+                const long file_len = ftell(in);
+                if (file_len % 4 != 0)
+                {
+                    fc_solve_err("%s",
+                        "Output file has an invalid length. Terminating.\n");
+                }
+                *start_board_ptr += (file_len - 12) / 4;
+                if (*start_board_ptr >= *end_board_ptr)
+                {
+                    fc_solve_err("%s",
+                        "Output file was already finished being generated.\n");
+                }
+                fclose(in);
+                if (!(bin->fh = fopen(bin->filename, "ab")))
+                {
+                    fc_solve_err(
+                        "Could not open \"%s\" for writing!\n", bin->filename);
+                }
             }
         }
+        else
+        {
+            bin->fh = NULL;
+            bin->buffer = bin->ptr = bin->buffer_end = NULL;
+        }
     }
-    else
-    {
-        bin->fh = NULL;
-        bin->buffer = bin->ptr = bin->buffer_end = NULL;
-    }
-}
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/range_solvers_gen_ms_boards.h b/fc-solve/source/range_solvers_gen_ms_boards.h
index 360667bcc..affee3241 100644
--- a/fc-solve/source/range_solvers_gen_ms_boards.h
+++ b/fc-solve/source/range_solvers_gen_ms_boards.h
@@ -15,86 +15,89 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "gen_ms_boards__rand.h"
 
-typedef int CARD;
+    typedef int CARD;
 
 #define SUIT(card) ((card) & (4 - 1))
 #define VALUE(card) ((card) >> 2)
 
 #define MAXCOL 8
 
-static const char *card_to_string_values = "A23456789TJQK";
-static const char *card_to_string_suits = "CDHS";
+    static const char *card_to_string_values = "A23456789TJQK";
+    static const char *card_to_string_suits = "CDHS";
 
-static inline void card_to_string(char *const s, const CARD card)
-{
-    s[0] = card_to_string_values[VALUE(card)];
-    s[1] = card_to_string_suits[SUIT(card)];
-}
+    static inline void card_to_string(char *const s, const CARD card)
+    {
+        s[0] = card_to_string_values[VALUE(card)];
+        s[1] = card_to_string_suits[SUIT(card)];
+    }
 
 #ifdef FCS_GEN_BOARDS_WITH_EXTERNAL_API
-/* This is to settle gcc's -Wmissing-prototypes which complains about
- * missing prototypes for "extern" subroutines.
- *
- * It is not critical that it would be in the same place because the only
- * thing that uses this function is Python's ctypes (in the test files under
- * t/t/ ) which does not process the included C code. In the future, we may
- * have an external API in which case we'll devise a header for this
- * routine.
- *
- * */
-void DLLEXPORT fc_solve_get_board_l(const long long deal_idx, char *const ret);
-
-extern void DLLEXPORT fc_solve_get_board_l(
-    const long long deal_idx, char *const ret)
+    /* This is to settle gcc's -Wmissing-prototypes which complains about
+     * missing prototypes for "extern" subroutines.
+     *
+     * It is not critical that it would be in the same place because the only
+     * thing that uses this function is Python's ctypes (in the test files under
+     * t/t/ ) which does not process the included C code. In the future, we may
+     * have an external API in which case we'll devise a header for this
+     * routine.
+     *
+     * */
+    void DLLEXPORT fc_solve_get_board_l(
+        const long long deal_idx, char *const ret);
+
+    extern void DLLEXPORT fc_solve_get_board_l(
+        const long long deal_idx, char *const ret)
 #else
 static inline void get_board_l(const long long deal_idx, char *const ret)
 #endif
-{
-    long long seedx = microsoft_rand__calc_init_seedx(deal_idx);
-    strcpy(ret, "XX XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX\n"
-                "XX XX XX XX XX XX\n");
-
-    CARD deck[52]; /* deck of 52 unique cards */
-
-    /* shuffle cards */
-
-    for (int i = 0; i < 52; i++) /* put unique card in each deck loc. */
     {
-        deck[i] = i;
+        long long seedx = microsoft_rand__calc_init_seedx(deal_idx);
+        strcpy(ret, "XX XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX\n"
+                    "XX XX XX XX XX XX\n");
+
+        CARD deck[52]; /* deck of 52 unique cards */
+
+        /* shuffle cards */
+
+        for (int i = 0; i < 52; i++) /* put unique card in each deck loc. */
+        {
+            deck[i] = i;
+        }
+
+        microsoft_rand_uint_t num_cards_left = 52;
+        for (int i = 0; i < 52; i++)
+        {
+            const microsoft_rand_uint_t j =
+                microsoft_rand__game_num_rand(&seedx, deal_idx) %
+                num_cards_left;
+            const int col = (i & (8 - 1));
+            card_to_string(
+                &ret[3 * (col * 7 - ((col > 4) ? (col - 4) : 0) + (i >> 3))],
+                deck[j]);
+            deck[j] = deck[--num_cards_left];
+        }
     }
 
-    microsoft_rand_uint_t num_cards_left = 52;
-    for (int i = 0; i < 52; i++)
+#ifndef FCS_GEN_BOARDS_WITH_EXTERNAL_API
+    static inline void get_board(long deal_idx, char *ret)
     {
-        const microsoft_rand_uint_t j =
-            microsoft_rand__game_num_rand(&seedx, deal_idx) % num_cards_left;
-        const int col = (i & (8 - 1));
-        card_to_string(
-            &ret[3 * (col * 7 - ((col > 4) ? (col - 4) : 0) + (i >> 3))],
-            deck[j]);
-        deck[j] = deck[--num_cards_left];
+        get_board_l((long long)deal_idx, ret);
     }
-}
-
-#ifndef FCS_GEN_BOARDS_WITH_EXTERNAL_API
-static inline void get_board(long deal_idx, char *ret)
-{
-    get_board_l((long long)deal_idx, ret);
-}
 #endif
 
-typedef char fcs_state_string_t[52 * 3 + 8 + 1];
+    typedef char fcs_state_string_t[52 * 3 + 8 + 1];
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/rank2str.h b/fc-solve/source/rank2str.h
index d1f88f88b..a4f399bc3 100644
--- a/fc-solve/source/rank2str.h
+++ b/fc-solve/source/rank2str.h
@@ -9,7 +9,8 @@
  */
 #pragma once
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "config.h"
@@ -28,20 +29,20 @@ extern "C" {
     }
 
 #ifndef FC_SOLVE_IMPLICIT_T_RANK
-static const char card_map_3_10[14][4] = GEN_CARD_MAP("10");
+    static const char card_map_3_10[14][4] = GEN_CARD_MAP("10");
 
-static const char card_map_3_T[14][4] = GEN_CARD_MAP("T");
+    static const char card_map_3_T[14][4] = GEN_CARD_MAP("T");
 #else
 static const char cards_char_map[15] = (CARD_ZERO() "A23456789TJQK");
 #endif
 
-static inline void rank2str(
-    const int rank_idx, char *const str PASS_T(const fcs_bool_t display_T))
-{
+    static inline void rank2str(
+        const int rank_idx, char *const str PASS_T(const fcs_bool_t display_T))
+    {
 #ifdef FC_SOLVE_IMPLICIT_T_RANK
-    str[0] = cards_char_map[rank_idx];
-    str[1] = '\0';
+        str[0] = cards_char_map[rank_idx];
+        str[1] = '\0';
 #else
     strcpy(str, (display_T ? card_map_3_T : card_map_3_10)[rank_idx]);
 #endif
-}
+    }
